<div >

    <div class="card border-primary">
        <div class="card-header">
            <!-- Featured -->
            <h5 class="card-title">Payment</h5>
        </div>
        <div class="card-body" style="color:navy;">
            <div class="btn-group" role="group">
                <!-- <button type="button" *ngIf="directSalesPayment.paymentStatus === 0 || directSalesPayment.paymentStatus === 1 || directSalesPayment.paymentStatus === 10 " class="btn btn-outline-success btn-sm" (click)="saveHdr()">Save
                    <i class="fa fa-save fa-lg"></i>
                </button> -->
                <button type="button"  *ngIf="directSalesPayment.paymentStatus === 0 || directSalesPayment.paymentStatus === 1  || directSalesPayment.paymentStatus === 10 " class="btn btn-outline-primary btn-sm" (click)="approve()">Approve
                    <i class="fa fa-thumbs-o-up fa-lg"></i>
                </button>
                <button type="button"  *ngIf="directSalesPayment.paymentStatus === 0 || directSalesPayment.paymentStatus === 1  || directSalesPayment.paymentStatus === 10 " class="btn btn-outline-danger btn-sm" (click)="cancelSO()">Cancel SO
                    <i class="fa fa-times fa-lg"></i>
                </button>
                <button type="button"  *ngIf="directSalesPayment.paymentStatus === 20  " class="btn btn-outline-danger btn-sm" (click)="rejectPayment()">Cancel Payment
                    <i class="fa fa-times fa-lg"></i>
                </button>
                <button type="button" *ngIf="directSalesPayment.paymentStatus === 20 " class="btn btn-outline-warning btn-sm" (click)="createInvoice()">Print Invoice
                    <i class="fa fa-print fa-lg"></i>
                </button>                 
            </div>
    
            <hr>
            <h4>Order Info</h4>
            <div style="margin: 10px 10px 10px 10px;" >
                <table class="table table-sm table-striped">
                    <thead>
                        <td style="width: 15%;"> </td>
                        <td style="width: 35%;"> </td>
                        <td style="width: 15%;"> </td>
                        <td style="width: 35%;"> </td>
                    </thead>
                    <tbody style="color: navy;" *ngIf="directSalesPayment">
                        <tr>
                            <td>Order No</td>
                            <td>
                                {{directSalesPayment.salesOrderNo}}
                            </td>
                            <td>Customer</td>
                            <td >CASH</td>
                        </tr>
                        <tr>
                            <td>Order Date</td>
                            <td>
                                {{directSalesPayment.orderDate | date:'dd-MMM-yyyy'}}
                            </td>
                            <td>Order Total</td>
                            <td>
                                {{directSalesPayment.salesOrderGrandTotal | number:'0.0-0' }}
                            </td>   
                        </tr>
                       
                    </tbody>
                </table>
            </div>

            <div style="color: seagreen;" >
                <h4 >Payment</h4>
                <table class="table table-sm table-striped">
                    <thead>
                        <td style="width: 15%;"> </td>
                        <td style="width: 35%;"> </td>
                        <td style="width: 15%;"> </td>
                        <td style="width: 35%;"> </td>
                    </thead>
                    <tbody  *ngIf="directSalesPayment" style="color: seagreen;" >
                        <tr>
                            <td >Payment No</td>
                            <td>
                                {{payment.paymentNo}}
                            </td>
                            <td >Payment Total</td>
                            <td>
                                {{payment.totalPayment  | number:'0.0-0'}}
                            </td>
                        </tr>
                        <tr>
                            <td >Payment Date</td>
                            <td>
                                {{payment.paymentDate | date:'dd-MMM-yyyy'}}
                            </td>
                            <td >Payment Status</td>
                            <td>
                                {{ getStatus(payment.status)  }}
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <hr>
            <div style="background-color: ghostwhite; ">
                <table class="table table-sm">
                    <thead>
                        <tr>
                            <td style="width: 40%">Payment Type</td>
                            <td style="width: 40%">Total</td>
                            <td style="width: 10%">#</td>
                        </tr>
    
                    </thead>
                    <tbody style="color: navy;;">
                        <tr>
                            <td>
                                <span *ngIf="paymentTypes" >
                                    <select id="select-type-basic" 
                                        class="form-control"
                                        [(ngModel)]="paymentTypeSelected" style="width: 90%;"  >
                                        <option *ngFor="let paymentType of paymentTypes" [value]="paymentType.id"  >
                                        {{paymentType.name}}
                                        </option>
                                    </select>
                                </span>
                            </td>
                            <td><input type="number" [(ngModel)]="nominalInputBayar" class="form-control" style="width: 90%;" ></td>
                            <td >
                                <button type="button"   class="btn btn-outline-danger btn-sm" (click)="addNewItem()">
                                    <i class="fa fa-check fa-lg"></i>
                                </button>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <br>
    
            <div style="height:180px; ">
                <table class="table table-sm table-hover table-striped">
                    <thead>
                        <tr>
                            <th *ngIf ="paymentDetails" style="width: 5%;"></th>
                            <th scope="col" style="width: 20%;">Payment Type</th>
                            <th scope="col" style="width: 10%;">Total</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let paymentDetail of paymentDetails">
                            <td *ngIf ="payment">
                                <button type="button" *ngIf="directSalesPayment.paymentStatus === 0 || directSalesPayment.paymentStatus === 1 || directSalesPayment.paymentStatus === 10 "   (click)="confirmDelPaymentDetail(paymentDetail)" class="btn btn-outline-danger btn-sm">
                                    <i class="fa fa-trash fa-lg"></i>
                                </button>
                            </td>
                            <td>{{paymentDetail.paymentType.name}}</td>
                            <td>{{paymentDetail.total | number:'0.0-0' }}</td>
                        </tr>
                    </tbody>
                </table>
                
            </div>
            <!-- <ngb-pagination size="sm" [collectionSize]="totalData" [(page)]="curPage" [maxSize]="totalRecord"
                (pageChange)="loadPage()" [boundaryLinks]="true">
            </ngb-pagination> -->
        </div>

        <div style="height:100px; background-color: whitesmoke; ">
            <table  class="table-sm " style="color: royalblue;">
                <thead>
                    <tr>
                        <td style="width: 40%;"></td>
                        <td style="width: 20%;"></td>
                        <td style="width: 20%;"></td>
                        <td style="width: 20%;"></td>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td></td>
                        <td>Total Transaksi</td>
                        <td> {{directSalesPayment.salesOrderGrandTotal | number:'0.0-0'}}</td>
                        <td></td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>Pembayaran</td>
                        <td>
                            <input type="number" [(ngModel)]="bayarRP" >
                        </td>
                        <td>{{bayarRP | number:'0.0-0'}}</td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>Kembali</td>
                        <td>
                            {{bayarRP  -directSalesPayment.salesOrderGrandTotal  | number:'0.0-0' }}
                        </td>
                        <td></td>
                    </tr>

                </tbody>
            </table>
        </div>

        <div class="card-footer text-right">
            <button type="button" style="width: 150px;"  class="btn btn-outline-danger btn-sm" (click)="closeForm()">
                Close
            </button>
        </div>
    </div>
</div>